is-wsl

> Check if the process is running inside Windows Subsystem for Linux (Bash on Windows)

Can be useful if you need to work around unimplemented or buggy features in WSL. Supports both WSL 1 and WSL 2.

# Install

$ npm install is-wsl

# Usage

const isWsl = require('is-wsl');
// When running inside Windows Subsystem for Linux
console.log(isWsl);
//=> true

Get professional support for this package with a Tidelift subscription
Tidelift helps make open source sustainable for maintainers while giving companies
assurances about security, maintenance, and licensing for their dependencies.